TensorFlow no Anaconda

Como instalar o TensorFlow no Anaconda

Instalei o Anaconda 4.3.1 com Python 3.6 no Windows 10, para fazer alguns testes de Deep Learning com o TensorFlow.

Ao tentar instalar o pacote do TensorFlow 1.1.0 pelo pip, foi exibida a seguinte mensagem de erro:

Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

O problema está na compatibilidade do Tensorflow com a versão 3.6 do Python.

Então, criei um novo environment no conda com a versão Python 3.5.2:

E depois instalei o TensorFlow:

obs.: o TensorFlow 1.1.0 requer os pacotes numpy, werkzeug, six e protobuf, que são instalados automaticamente pelo pip

Para verificar se está tudo instalado:

  • numpy 1.12.1 <pip>
  • pip 9.0.1 py35_1
  • protobuf 3.3.0 <pip>
  • python 3.5.2 0
  • setuptools 27.2.0 py35_1
  • six 1.10.0 <pip>
  • tensorflow 1.1.0 <pip>
  • vs2015_runtime 14.0.25123 0
  • Werkzeug 0.12.2 <pip>
  • wheel 0.29.0 py35_0

 

Este procedimento também funciona para quem está com o MiniConda.

 

Compartilhe
  •  
  •  
  •  
  •  
  •  
  •  
  •  
  •  

Deixe um comentário